Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-teiHeader2textAtt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-teiHeader2textAtt.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-teiHeader2textAtt.xsl	(revision 2397)
@@ -1,143 +1,171 @@
 <?xml version="1.0"?>
-<xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
-  exclude-result-prefixes="tei edate" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
+<xsl:stylesheet
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+	exclude-result-prefixes="tei edate"
+	xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
 
-  <xd:doc type="stylesheet">
-    <xd:short>
-      This stylesheet is designed for TXM XTZ+CSV import module to extract 
-      metadata from the teiHeader and add them as attributes
-      of the text element. It should be used at "2-front" step. See TXM 
-      User Manual for more details 
-      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
-    </xd:short>
-    <xd:detail>
-      This stylesheet is free software; you can redistribute it and/or
-      modify it under the terms of the GNU Lesser General Public
-      License as published by the Free Software Foundation; either
-      version 3 of the License, or (at your option) any later version.
-      
-      This stylesheet is distributed in the hope that it will be useful,
-      but WITHOUT ANY WARRANTY; without even the implied warranty of
-      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-      Lesser General Public License for more details.
-      
-      You should have received a copy of GNU Lesser Public License with
-      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
-    </xd:detail>
-    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
-    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
-  </xd:doc>
+	<xd:doc type="stylesheet">
+		<xd:short>
+			This stylesheet is designed for TXM XTZ+CSV import module to extract
+			metadata from the teiHeader and add them as attributes
+			of the text element. It should be used at "2-front" step. See TXM
+			User Manual for more details
+			(http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
 
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+			Lesser General Public License for more details.
 
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+		<xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+	</xd:doc>
 
-  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/> 
-  
-  
-<!-- General patterns: all elements, attributes, comments and processing instructions are copied -->
-  
-  <xsl:template match="*">      
-        <xsl:copy>
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>    
-  </xsl:template>
-  
-  <xsl:template match="*" mode="position"><xsl:value-of select="count(preceding-sibling::*)"/></xsl:template>
 
-  <xsl:template match="@*|comment()|processing-instruction()">
-    <xsl:copy/>
-  </xsl:template>
 
-  <xsl:variable name="current-file-name">
-    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/]+$">
-      <xsl:matching-substring>
-        <xsl:value-of select="regex-group(2)"/>
-      </xsl:matching-substring>
-    </xsl:analyze-string>
-  </xsl:variable>
-  
-<!-- Extracting metadata to use -->
- 
-  <xsl:variable name="title">
-    <xsl:choose>
-      <xsl:when test="/TEI/teiHeader/fileDesc/titleStmt/title[@type='main']">
-        <xsl:value-of select="/TEI/teiHeader/fileDesc/titleStmt/title[@type='main'][1]"/>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:value-of select="/TEI/teiHeader/fileDesc/titleStmt/title[1]"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
-  
-  <xsl:variable name="author">
-    <xsl:choose>
-      <xsl:when test="/TEI/teiHeader/fileDesc/titleStmt/author">
-        <xsl:for-each select="/TEI/teiHeader/fileDesc/titleStmt/author">
-          <xsl:value-of select="."/>
-          <xsl:if test="following-sibling::author">
-            <xsl:text>, </xsl:text>
-          </xsl:if>
-        </xsl:for-each>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:text>anonyme</xsl:text>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
-  
-  <xsl:variable name="text_creation_date">
-    <xsl:choose>
-      <xsl:when test="/TEI/teiHeader/profileDesc/creation/date[@type='compo']">
-        <xsl:choose>
-          <xsl:when test="/TEI/teiHeader/profileDesc/creation/date[@type='compo'][1]/@when">
-            <xsl:value-of select="/TEI/teiHeader/profileDesc/creation/date[@type='compo'][1]/@when"/>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:value-of select="/TEI/teiHeader/profileDesc/creation/date[@type='compo'][1]"/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:when>
-      <xsl:when test="/TEI/teiHeader/profileDesc/creation/date">
-        <xsl:choose>
-          <xsl:when test="/TEI/teiHeader/profileDesc/creation/date[1]/@when">
-            <xsl:value-of select="/TEI/teiHeader/profileDesc/creation/date[1]/@when"/>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:value-of select="/TEI/teiHeader/profileDesc/creation/date[1]"/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:text>sans date</xsl:text>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
-  
-  <xsl:variable name="genre">
-    <xsl:choose>
-      <xsl:when test="/TEI/teiHeader//keywords/term[@type='genre']">
-        <xsl:value-of select="/TEI/teiHeader//keywords[1]/term[@type='genre'][1]"/>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:text>inconnu</xsl:text>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
+	<xsl:output method="xml" encoding="utf-8"
+		omit-xml-declaration="no" />
 
-<!-- Injecting metadata into attibutes of the text element -->
 
-<xsl:template match="text">
-  <xsl:copy>
-    <xsl:apply-templates select="@*"/>
-    <xsl:attribute name="id"><xsl:value-of select="$current-file-name"/></xsl:attribute>
-    <xsl:attribute name="titre"><xsl:value-of select="$title"/></xsl:attribute>
-    <xsl:attribute name="auteur"><xsl:value-of select="$author"/></xsl:attribute>
-    <xsl:attribute name="date-compo"><xsl:value-of select="$text_creation_date"/></xsl:attribute>
-    <xsl:attribute name="genre"><xsl:value-of select="$genre"/></xsl:attribute>
-    <xsl:apply-templates/>
-  </xsl:copy>
-</xsl:template>
+	<!-- General patterns: all elements, attributes, comments and processing 
+		instructions are copied -->
 
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
 
+	<xsl:template match="*" mode="position">
+		<xsl:value-of select="count(preceding-sibling::*)" />
+	</xsl:template>
+
+	<xsl:template
+		match="@*|comment()|processing-instruction()">
+		<xsl:copy />
+	</xsl:template>
+
+	<xsl:variable name="current-file-name">
+		<xsl:analyze-string select="document-uri(.)"
+			regex="^(.*)/([^/]+)\.[^/]+$">
+			<xsl:matching-substring>
+				<xsl:value-of select="regex-group(2)" />
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:variable>
+
+	<!-- Extracting metadata to use -->
+
+	<xsl:variable name="title">
+		<xsl:choose>
+			<xsl:when
+				test="/TEI/teiHeader/fileDesc/titleStmt/title[@type='main']">
+				<xsl:value-of
+					select="/TEI/teiHeader/fileDesc/titleStmt/title[@type='main'][1]" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of
+					select="/TEI/teiHeader/fileDesc/titleStmt/title[1]" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
+
+	<xsl:variable name="author">
+		<xsl:choose>
+			<xsl:when test="/TEI/teiHeader/fileDesc/titleStmt/author">
+				<xsl:for-each
+					select="/TEI/teiHeader/fileDesc/titleStmt/author">
+					<xsl:value-of select="." />
+					<xsl:if test="following-sibling::author">
+						<xsl:text>, </xsl:text>
+					</xsl:if>
+				</xsl:for-each>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>anonyme</xsl:text>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
+
+	<xsl:variable name="text_creation_date">
+		<xsl:choose>
+			<xsl:when
+				test="/TEI/teiHeader/profileDesc/creation/date[@type='compo']">
+				<xsl:choose>
+					<xsl:when
+						test="/TEI/teiHeader/profileDesc/creation/date[@type='compo'][1]/@when">
+						<xsl:value-of
+							select="/TEI/teiHeader/profileDesc/creation/date[@type='compo'][1]/@when" />
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:value-of
+							select="/TEI/teiHeader/profileDesc/creation/date[@type='compo'][1]" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:when>
+			<xsl:when test="/TEI/teiHeader/profileDesc/creation/date">
+				<xsl:choose>
+					<xsl:when
+						test="/TEI/teiHeader/profileDesc/creation/date[1]/@when">
+						<xsl:value-of
+							select="/TEI/teiHeader/profileDesc/creation/date[1]/@when" />
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:value-of
+							select="/TEI/teiHeader/profileDesc/creation/date[1]" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>sans date</xsl:text>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
+
+	<xsl:variable name="genre">
+		<xsl:choose>
+			<xsl:when
+				test="/TEI/teiHeader//keywords/term[@type='genre']">
+				<xsl:value-of
+					select="/TEI/teiHeader//keywords[1]/term[@type='genre'][1]" />
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>inconnu</xsl:text>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
+
+	<!-- Injecting metadata into attibutes of the text element -->
+
+	<xsl:template match="text">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:attribute name="id"><xsl:value-of
+				select="$current-file-name" /></xsl:attribute>
+			<xsl:attribute name="titre"><xsl:value-of
+				select="$title" /></xsl:attribute>
+			<xsl:attribute name="auteur"><xsl:value-of
+				select="$author" /></xsl:attribute>
+			<xsl:attribute name="date-compo"><xsl:value-of
+				select="$text_creation_date" /></xsl:attribute>
+			<xsl:attribute name="genre"><xsl:value-of
+				select="$genre" /></xsl:attribute>
+			<xsl:apply-templates />
+		</xsl:copy>
+	</xsl:template>
+
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/concordance_simple.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/concordance_simple.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/concordance_simple.xsl	(revision 2397)
@@ -1,56 +1,69 @@
 ﻿<?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
-								xmlns:exsl="http://exslt.org/common">
+<xsl:stylesheet
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
+	xmlns:exsl="http://exslt.org/common">
 	<!-- Revised 8 Feb 2012 by TMR -->
-	
+
 	<!-- Delimiter is tab. written as &#09; -->
 
 	<xsl:output method="text" encoding="UTF-8" indent="no" />
 
-	<xsl:param name="cx" select="15"/>
+	<xsl:param name="cx" select="15" />
 	<!-- vary this value to change the size of the context -->
-	
+
 	<xsl:param name="ntTypes"></xsl:param>
 	<!-- non-terminal pivot features to show -->
-		
-	<xsl:param name="tTypes" >pos form</xsl:param>
+
+	<xsl:param name="tTypes">
+		pos form
+	</xsl:param>
 	<!-- terminal pivot features to show -->
-				
-	<xsl:key name="idkey" match="t|nt" use="@id"/>
+
+	<xsl:key name="idkey" match="t|nt" use="@id" />
 	<!-- Lezius' lookup key -->
 
 	<xsl:template match="/">
-		
-		<xsl:variable name="valueshownt" ><xsl:value-of select="$ntTypes" /></xsl:variable>
-		
-		<xsl:variable name="valueshowt" ><xsl:value-of select="$tTypes" /></xsl:variable>
-		
-		<!--Write a header-->
-				
+
+		<xsl:variable name="valueshownt">
+			<xsl:value-of select="$ntTypes" />
+		</xsl:variable>
+
+		<xsl:variable name="valueshowt">
+			<xsl:value-of select="$tTypes" />
+		</xsl:variable>
+
+		<!--Write a header -->
+
 		<xsl:text>ID&#x09;LeftCxOutsideSnt&#x09;LeftCxInsideSnt&#x09;Pivot&#x09;</xsl:text>
-		
-		<xsl:for-each select="tokenize($valueshownt/node(), '\s+')">
-			
-			<xsl:value-of select="." /><xsl:text>&#x09;</xsl:text>
-			
+
+		<xsl:for-each
+			select="tokenize($valueshownt/node(), '\s+')">
+
+			<xsl:value-of select="." />
+			<xsl:text>&#x09;</xsl:text>
+
 		</xsl:for-each>
-		
-		<xsl:for-each select="tokenize($valueshowt/node(), '\s+')">
-			
-			<xsl:value-of select="." /><xsl:text>&#x09;</xsl:text>
-			
+
+		<xsl:for-each
+			select="tokenize($valueshowt/node(), '\s+')">
+
+			<xsl:value-of select="." />
+			<xsl:text>&#x09;</xsl:text>
+
 		</xsl:for-each>
-		
+
 		<xsl:text>RightCxInsideSnt&#x09;RightCxOutsideSnt&#x0D;&#x0A;</xsl:text>
-	
-		<xsl:for-each select="descendant::variable[@name='#pivot']">
-			
+
+		<xsl:for-each
+			select="descendant::variable[@name='#pivot']">
+
 			<!-- Each #pivot node in the document is selected -->
 
 			<xsl:variable name="inpivot">
 
 				<pivot>
-					<xsl:apply-templates select="key('idkey', @idref)" mode="get-terminals" />
+					<xsl:apply-templates
+						select="key('idkey', @idref)" mode="get-terminals" />
 				</pivot>
 
 			</xsl:variable>
@@ -66,52 +79,67 @@
 
 			<xsl:variable name="firstpivotid">
 
-				<xsl:apply-templates select="exsl:node-set($inpivot-sort)//t[1]" mode="id" />
-					
+				<xsl:apply-templates
+					select="exsl:node-set($inpivot-sort)//t[1]" mode="id" />
+
 			</xsl:variable>
 
 			<xsl:variable name="lastpivotid">
 
-				<xsl:apply-templates select="exsl:node-set($inpivot-sort)//t[last()]" mode="id" />
+				<xsl:apply-templates
+					select="exsl:node-set($inpivot-sort)//t[last()]" mode="id" />
 
 			</xsl:variable>
 
 			<!-- sentence ID -->
 
-			<xsl:apply-templates select="ancestor::s" mode="id" />			
+			<xsl:apply-templates select="ancestor::s"
+				mode="id" />
 			<xsl:text>&#x09;</xsl:text>
 
 			<!-- left context -->
 
-			<xsl:apply-templates select="key('idkey', $firstpivotid)" mode="left-cx" /><xsl:text>&#x09;</xsl:text>
+			<xsl:apply-templates
+				select="key('idkey', $firstpivotid)" mode="left-cx" />
+			<xsl:text>&#x09;</xsl:text>
 
 			<!-- pivot text -->
 
-			<xsl:apply-templates select="ancestor::s" mode="pivot">
-				<xsl:with-param name="inpivot" select="exsl:node-set($inpivot-sort)" />
-			</xsl:apply-templates><xsl:text>&#x09;</xsl:text>
-			
+			<xsl:apply-templates select="ancestor::s"
+				mode="pivot">
+				<xsl:with-param name="inpivot"
+					select="exsl:node-set($inpivot-sort)" />
+			</xsl:apply-templates>
+			<xsl:text>&#x09;</xsl:text>
+
 			<!-- pivot properties -->
-			
-			<xsl:variable name="thispivot" select="key('idkey', @idref)" />
-			
-			<xsl:for-each select="tokenize($valueshownt/node(), '\s+')">
-				
-				<xsl:variable name="attr" select="."/>
-				
-				<xsl:value-of select="$thispivot/@*[name()=$attr]"/><xsl:text>&#x09;</xsl:text>
-				
+
+			<xsl:variable name="thispivot"
+				select="key('idkey', @idref)" />
+
+			<xsl:for-each
+				select="tokenize($valueshownt/node(), '\s+')">
+
+				<xsl:variable name="attr" select="." />
+
+				<xsl:value-of select="$thispivot/@*[name()=$attr]" />
+				<xsl:text>&#x09;</xsl:text>
+
 			</xsl:for-each>
-			<xsl:for-each select="tokenize($valueshowt/node(), '\s+')">
-				
-				<xsl:variable name="attr" select="."/>
-				
-				<xsl:value-of select="$thispivot/@*[name()=$attr]"/><xsl:text>&#x09;</xsl:text>
-				
+			<xsl:for-each
+				select="tokenize($valueshowt/node(), '\s+')">
+
+				<xsl:variable name="attr" select="." />
+
+				<xsl:value-of select="$thispivot/@*[name()=$attr]" />
+				<xsl:text>&#x09;</xsl:text>
+
 			</xsl:for-each>
-				
+
 			<!-- right context -->
-			<xsl:apply-templates select="key('idkey', $lastpivotid)" mode="right-cx" /><xsl:text>&#x0D;&#x0A;</xsl:text>
+			<xsl:apply-templates
+				select="key('idkey', $lastpivotid)" mode="right-cx" />
+			<xsl:text>&#x0D;&#x0A;</xsl:text>
 
 		</xsl:for-each>
 
@@ -124,107 +152,142 @@
 	</xsl:template>
 
 	<xsl:template match="t" mode="left-cx">
-		
+
 		<xsl:variable name="pivot-node" select="." />
-		<xsl:variable name="this-sid"><xsl:value-of select="ancestor::s/@id" /></xsl:variable>
-		
-		<xsl:for-each select="preceding::t[position() &lt; number($cx)]" >
+		<xsl:variable name="this-sid">
+			<xsl:value-of select="ancestor::s/@id" />
+		</xsl:variable>
+
+		<xsl:for-each
+			select="preceding::t[position() &lt; number($cx)]">
 			<!-- xsl:sort select="@id" / -->
 			<xsl:choose>
 				<!-- switch from out-of-sentence to in-sentence context -->
-				<xsl:when test="ancestor::s[@id = $this-sid] and not(preceding-sibling::t)">
+				<xsl:when
+					test="ancestor::s[@id = $this-sid] and not(preceding-sibling::t)">
 					<xsl:text>&#x09;</xsl:text>
 				</xsl:when>
-				
+
 				<!-- first word of the context and in the same sentence -->
-				
-				<xsl:when test="position() = 1 and ancestor::s[@id=$this-sid]"><xsl:text>&#x09;</xsl:text></xsl:when>
-				
+
+				<xsl:when
+					test="position() = 1 and ancestor::s[@id=$this-sid]">
+					<xsl:text>&#x09;</xsl:text>
+				</xsl:when>
+
 				<!-- first word of the context -->
-				
+
 				<xsl:when test="position() = 1" />
-				
+
 				<!-- first word in a sentence -->
-				<xsl:when test="not(preceding-sibling::t)"><xsl:text> / </xsl:text></xsl:when>
-				
-				<xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
-				
+				<xsl:when test="not(preceding-sibling::t)">
+					<xsl:text> / </xsl:text>
+				</xsl:when>
+
+				<xsl:otherwise>
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
+
 			</xsl:choose>
-			
+
 			<xsl:apply-templates select="." mode="output" />
-			
+
 			<!-- add blank column if there's no in-sentence context -->
-			<xsl:if test="position() = last() and ancestor::s[@id != $this-sid]"><xsl:text>&#x09;</xsl:text></xsl:if>
-			
+			<xsl:if
+				test="position() = last() and ancestor::s[@id != $this-sid]">
+				<xsl:text>&#x09;</xsl:text>
+			</xsl:if>
+
 		</xsl:for-each>
-		
+
 	</xsl:template>
-	
+
 	<xsl:template match="t" mode="right-cx">
-		
+
 		<xsl:variable name="pivot-node" select="." />
-		<xsl:variable name="this-sid"><xsl:value-of select="ancestor::s/@id" /></xsl:variable>
-		
-		<xsl:for-each select="following::t[position() &lt; number($cx)]" >
+		<xsl:variable name="this-sid">
+			<xsl:value-of select="ancestor::s/@id" />
+		</xsl:variable>
+
+		<xsl:for-each
+			select="following::t[position() &lt; number($cx)]">
 			<!-- xsl:sort select="@id" / -->
 			<xsl:choose>
 				<!-- switch from in-sentence to out-of-sentence context -->
-				<xsl:when test="ancestor::s[@id != $this-sid] and preceding::t[position()=1]/ancestor::s[@id = $this-sid]">
+				<xsl:when
+					test="ancestor::s[@id != $this-sid] and preceding::t[position()=1]/ancestor::s[@id = $this-sid]">
 					<xsl:text>&#x09;</xsl:text>
 				</xsl:when>
-				
+
 				<!-- first word of the context -->
-				
+
 				<xsl:when test="position() = 1" />
-				
+
 				<!-- first word in a sentence -->
-				<xsl:when test="not(preceding-sibling::t)"><xsl:text> / </xsl:text></xsl:when>
-				
-				<xsl:otherwise><xsl:text> </xsl:text></xsl:otherwise>
-				
+				<xsl:when test="not(preceding-sibling::t)">
+					<xsl:text> / </xsl:text>
+				</xsl:when>
+
+				<xsl:otherwise>
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
+
 			</xsl:choose>
 			<xsl:apply-templates select="." mode="output" />
 			<!-- add blank column if there's no out-of-sentence context -->
-			<xsl:if test="position() = last() and ancestor::s[@id = $this-sid]"><xsl:text>&#x09;</xsl:text></xsl:if>
-			
+			<xsl:if
+				test="position() = last() and ancestor::s[@id = $this-sid]">
+				<xsl:text>&#x09;</xsl:text>
+			</xsl:if>
+
 		</xsl:for-each>
-		
+
 	</xsl:template>
 
 	<xsl:template match="s" mode="pivot">
 		<xsl:param name="inpivot" />
 
-			<xsl:variable name="firstpivotid">
+		<xsl:variable name="firstpivotid">
 
-				<xsl:apply-templates select="$inpivot//t[1]" mode="id" />
-					
-			</xsl:variable>
+			<xsl:apply-templates select="$inpivot//t[1]"
+				mode="id" />
 
-			<xsl:variable name="lastpivotid">
-				<xsl:apply-templates select="$inpivot//t[last()]" mode="id" />
+		</xsl:variable>
 
-			</xsl:variable>
+		<xsl:variable name="lastpivotid">
+			<xsl:apply-templates select="$inpivot//t[last()]"
+				mode="id" />
 
-		<xsl:for-each select="descendant::t" >
-			<xsl:variable name="thisid" select = "@id" />
+		</xsl:variable>
+
+		<xsl:for-each select="descendant::t">
+			<xsl:variable name="thisid" select="@id" />
 			<xsl:choose>
 				<xsl:when test="following-sibling::t[@id=$firstpivotid]" />
 				<xsl:when test="preceding-sibling::t[@id=$lastpivotid]" />
-				<xsl:when test="$inpivot//t[@id=$thisid]"><xsl:apply-templates select="." mode="output" /><xsl:text> </xsl:text></xsl:when>
-				<xsl:otherwise>[<xsl:apply-templates select="." mode="output" />]<xsl:text> </xsl:text></xsl:otherwise>
-			</xsl:choose>			
+				<xsl:when test="$inpivot//t[@id=$thisid]">
+					<xsl:apply-templates select="." mode="output" />
+					<xsl:text> </xsl:text>
+				</xsl:when>
+				<xsl:otherwise>
+					[
+					<xsl:apply-templates select="." mode="output" />
+					]
+					<xsl:text> </xsl:text>
+				</xsl:otherwise>
+			</xsl:choose>
 		</xsl:for-each>
 
 	</xsl:template>
 
 	<xsl:template match="t" mode="output">
-		
+
 		<xsl:value-of select="@word" />
 
 	</xsl:template>
 
 	<xsl:template match="nt|t|s" mode="id">
-		
+
 		<xsl:value-of select="@id" />
 
 	</xsl:template>
@@ -233,8 +296,9 @@
 
 		<xsl:for-each select="edge">
 
-			<xsl:apply-templates select="key('idkey', @idref)" mode="get-terminals" />
-	
+			<xsl:apply-templates
+				select="key('idkey', @idref)" mode="get-terminals" />
+
 		</xsl:for-each>
 
 	</xsl:template>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teip5-xmlw-preserve.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teip5-xmlw-preserve.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teip5-xmlw-preserve.xsl	(revision 2397)
@@ -1,113 +1,103 @@
 <?xml version="1.0"?>
 <xsl:stylesheet
-  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
-  xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-  exclude-result-prefixes="tei edate xd" version="2.0">
-  
-  <xd:doc type="stylesheet">
-    <xd:short>
-      Feuille de style de préparation de fichiers TEI à l'importation
-      TXM dans un format xml simple. 
-    </xd:short>
-    <xd:detail>
-      This stylesheet is free software; you can redistribute it and/or
-      modify it under the terms of the GNU Lesser General Public
-      License as published by the Free Software Foundation; either
-      version 3 of the License, or (at your option) any later version.
-      
-      This stylesheet is distributed in the hope that it will be useful,
-      but WITHOUT ANY WARRANTY; without even the implied warranty of
-      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-      Lesser General Public License for more details.
-      
-      You should have received a copy of GNU Lesser Public License with
-      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
-    </xd:detail>
-    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
-    <xd:copyright>2012, CNRS / ICAR (ICAR3 LinCoBaTO)</xd:copyright>
-  </xd:doc>
-  
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	exclude-result-prefixes="tei edate xd" version="2.0">
 
-  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/>
-  
+	<xd:doc type="stylesheet">
+		<xd:short>
+			Feuille de style de préparation de fichiers TEI à l'importation
+			TXM dans un format xml simple.
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
+
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+			Lesser General Public License for more details.
+
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+		<xd:copyright>2012, CNRS / ICAR (ICAR3 LinCoBaTO)</xd:copyright>
+	</xd:doc>
+
+
+	<xsl:output method="xml" encoding="utf-8"
+		omit-xml-declaration="no" />
+
 	<!-- Listes des balises par type de traitement. -->
-	
-	<!--Par défaut, les balises sont conservées (les espaces de nommage sont
-	respectés). On peut utiliser les paramètres ci-dessous pour indiquer les balises
-	à supprimer en conservant ou non leur contenu--> 
-	
+
+	<!--Par défaut, les balises sont conservées (les espaces de nommage sont 
+		respectés). On peut utiliser les paramètres ci-dessous pour indiquer les 
+		balises à supprimer en conservant ou non leur contenu -->
+
 	<!-- balises à supprimer avec leur contenu -->
-	
-	<xsl:param name="deleteAll">teiHeader|facsimile</xsl:param>
-	
-	<xsl:template match="*[matches(name(),concat('^',$deleteAll,'$'))]"/>
-	
-	<!-- balises à supprimer en conservant le contenu-->
-	
+
+	<xsl:param name="deleteAll">
+		teiHeader|facsimile
+	</xsl:param>
+
+	<xsl:template
+		match="*[matches(name(),concat('^',$deleteAll,'$'))]" />
+
+	<!-- balises à supprimer en conservant le contenu -->
+
 	<xsl:param name="deleteTag"></xsl:param>
-	
-	<xsl:template match="*[matches(name(),concat('^',$deleteTag,'$'))]">
-		<xsl:apply-templates/>
+
+	<xsl:template
+		match="*[matches(name(),concat('^',$deleteTag,'$'))]">
+		<xsl:apply-templates />
 	</xsl:template>
-	
-  
-  <xsl:template match="*">
-  	<xsl:copy>
-  		<xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>	
-  	</xsl:copy>
-  </xsl:template>
 
-  <xsl:template match="@*|comment()">
-    <xsl:copy/>
-  </xsl:template>
-	
-	<xsl:template match="processing-instruction()"/>
-	
-	<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>
 
-	<!-- On supprime le teiHeader  pour l'import xml-w -->
-	
-	<xsl:template match="tei:teiHeader">    
-		<!--<xsl:copy-of select="."/>-->    
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
 	</xsl:template>
-	
-	<xsl:template match="tei:facsimile">    
-		<!--<xsl:copy-of select="."/>-->    
+
+	<xsl:template match="@*|comment()">
+		<xsl:copy />
 	</xsl:template>
-	
 
-	<!-- ancien filtre pour les noeuds texte, n'est plus nécessaire pour l'import xml/w TXM 0.5 -->
+	<xsl:template match="processing-instruction()" />
 
-  <!--<xsl:template match="text()">
-  	<xsl:analyze-string select="." regex="&amp;lt;|&amp;gt;|&lt;|&gt;|-\-">
-      <xsl:matching-substring>
-        <xsl:choose>
-        	<xsl:when test="matches(.,'&amp;lt;')">
-        		<xsl:text>‹</xsl:text>
-        	</xsl:when>
-        	<xsl:when test="matches(.,'&amp;gt;')">
-        		<xsl:text>›</xsl:text>
-        	</xsl:when>
-          <xsl:when test="matches(.,'&lt;')">
-            <xsl:text>‹</xsl:text>
-          </xsl:when>
-          <xsl:when test="matches(.,'&gt;')">
-            <xsl:text>›</xsl:text>
-          </xsl:when>
-          <!-\- pose problème si se trouve dans les notes transformés en commentaires xml par le tokeniseur -\->
-          <xsl:when test="matches(.,'-\-')">
-            <xsl:text> - </xsl:text>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:value-of select="."/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:matching-substring>
-      <xsl:non-matching-substring>         
-            <xsl:value-of select="."/>
-      </xsl:non-matching-substring>      
-    </xsl:analyze-string>
-  </xsl:template>-->
+	<xsl:template match="text()">
+		<xsl:value-of select="." />
+	</xsl:template>
 
+	<!-- On supprime le teiHeader pour l'import xml-w -->
+
+	<xsl:template match="tei:teiHeader">
+		<!--<xsl:copy-of select="."/> -->
+	</xsl:template>
+
+	<xsl:template match="tei:facsimile">
+		<!--<xsl:copy-of select="."/> -->
+	</xsl:template>
+
+
+	<!-- ancien filtre pour les noeuds texte, n'est plus nécessaire pour l'import 
+		xml/w TXM 0.5 -->
+
+	<!--<xsl:template match="text()"> <xsl:analyze-string select="." regex="&amp;lt;|&amp;gt;|&lt;|&gt;|-\-"> 
+		<xsl:matching-substring> <xsl:choose> <xsl:when test="matches(.,'&amp;lt;')"> 
+		<xsl:text>‹</xsl:text> </xsl:when> <xsl:when test="matches(.,'&amp;gt;')"> 
+		<xsl:text>›</xsl:text> </xsl:when> <xsl:when test="matches(.,'&lt;')"> <xsl:text>‹</xsl:text> 
+		</xsl:when> <xsl:when test="matches(.,'&gt;')"> <xsl:text>›</xsl:text> </xsl:when> 
+		<!-\- pose problème si se trouve dans les notes transformés en commentaires 
+		xml par le tokeniseur -\-> <xsl:when test="matches(.,'-\-')"> <xsl:text> 
+		- </xsl:text> </xsl:when> <xsl:otherwise> <xsl:value-of select="."/> </xsl:otherwise> 
+		</xsl:choose> </xsl:matching-substring> <xsl:non-matching-substring> <xsl:value-of 
+		select="."/> </xsl:non-matching-substring> </xsl:analyze-string> </xsl:template> -->
+
 </xsl:stylesheet>
\ No newline at end of file
